petsc-3.12.4 2020-02-04
Report Typos and Errors

# MatPartitioningPTScotchSetImbalance

Sets the value of the load imbalance ratio to be used during strategy selection.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatPartitioningPTScotchSetImbalance(MatPartitioning part,PetscReal imb)

Collective on MatPartitioning

### Input Parameters

| part | - the partitioning context
| imb | - the load imbalance ratio

### Options Database

-mat_partitioning_ptscotch_imbalance <imb> - Note: Must be in the range [0,1]. The default value is 0.01.

### See Also

MatPartitioningPTScotchSetStrategy(), MatPartitioningPTScotchGetImbalance()

### Level

advanced

### Location

src/mat/partition/impls/scotch/scotch.c

### Implementations

MatPartitioningPTScotchSetImbalance_PTScotch in src/mat/partition/impls/scotch/scotch.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages